Data Fields
stack_heaps_table_t Struct Reference
BLE » BLE Common » Structures

The table contains the pointers to four arrays which are used as heap memory by BLE stack in ROM. The size of four arrays depends on the number of connections and the number of attributes of profiles. More...

`#include <ble.h>`

## Data Fields
uint32_t * | env_ret
uint32_t * | db_ret
uint32_t * | msg_ret
uint32_t * | non_ret
uint16_t | env_ret_size
uint16_t | db_ret_size
uint16_t | msg_ret_size
uint16_t | non_ret_size
uint8_t * | prf_buf
uint32_t | buf_size
uint8_t * | bm_buf
uint32_t | bm_size
uint8_t * | conn_buf
uint32_t | conn_size

## Detailed Description

The table contains the pointers to four arrays which are used as heap memory by BLE stack in ROM. The size of four arrays depends on the number of connections and the number of attributes of profiles.

## Field Documentation

## ◆ bm_buf

uint8_t* stack_heaps_table_t::bm_buf

Pointer to the array for bond manager heap

## ◆ bm_size

uint32_t stack_heaps_table_t::bm_size

The size of the array for bond manager heap

## ◆ buf_size

uint32_t stack_heaps_table_t::buf_size

The size of the array for profile heap

## ◆ conn_buf

uint8_t* stack_heaps_table_t::conn_buf

Pointer to the array for connection heap

## ◆ conn_size

uint32_t stack_heaps_table_t::conn_size

The size of the array for connection heap

## ◆ db_ret

uint32_t* stack_heaps_table_t::db_ret

Pointer to the array for ATT DB heap

## ◆ db_ret_size

uint16_t stack_heaps_table_t::db_ret_size

The size of the array for ATT DB heap

## ◆ env_ret

uint32_t* stack_heaps_table_t::env_ret

Pointer to the array for environment heap

## ◆ env_ret_size

uint16_t stack_heaps_table_t::env_ret_size

The size of the array for environment heap

## ◆ msg_ret

uint32_t* stack_heaps_table_t::msg_ret

Pointer to the array for message heap

## ◆ msg_ret_size

uint16_t stack_heaps_table_t::msg_ret_size

The size of the array for message heap

## ◆ non_ret

uint32_t* stack_heaps_table_t::non_ret

Pointer to the array for non-retention heap

## ◆ non_ret_size

uint16_t stack_heaps_table_t::non_ret_size

The size of the array for non-retention heap

## ◆ prf_buf

uint8_t* stack_heaps_table_t::prf_buf

Pointer to the array for profile heap

The documentation for this struct was generated from the following file:

- ble.h